# dev.inmo.micro_utils.startup.launcher

# Package-level declarations

## Types

Config
Link copied to clipboard
@Serializable
data class Config (val plugins: List < StartPlugin >)

Contains just List of StartPlugins. In json this config should look like:

HelloWorldPlugin
Link copied to clipboard
object HelloWorldPlugin : StartPlugin
StartLauncherPlugin
Link copied to clipboard
object StartLauncherPlugin : StartPlugin

Default startup plugin. See setupDI and startPlugin for more info

## Properties

baseJsonProvider
Link copied to clipboard
val <Error class: unknown class>. baseJsonProvider : Json?
val <Error class: unknown class>. baseJsonProvider : Json?
defaultJson
Link copied to clipboard
val defaultJson : Json

## Functions

baseJsonProviderFactory
Link copied to clipboard
fun <Error class: unknown class>. baseJsonProviderFactory (definition: <Error class: unknown class><Json>): <Error class: unknown class><Json>

Will register definition with org.koin.core.module.Module.factory and key "baseJsonProvider"

baseJsonProviderSingle
Link copied to clipboard
fun <Error class: unknown class>. baseJsonProviderSingle (createdAtStart: Boolean = false, definition: <Error class: unknown class><Json>): <Error class: unknown class><Json>

Will register definition with org.koin.core.module.Module.single and key "baseJsonProvider"

main
Link copied to clipboard
suspend fun main (args: Array < String >)

It is expected, that args will contain ONE argument with path to the config json. Sample of launching: